# SFML - Simple and Fast Multimedia Library

SFML 3.0.0

- Main Page
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Event::KeyPressed Struct Reference

Key pressed event subtype. More...

`#include <SFML/Window/Event.hpp>`

## Public Attributes

Keyboard::Key | code {}
| Code of the key that has been pressed.
Keyboard::Scancode | scancode {}
| Physical code of the key that has been pressed.
bool | alt {}
| Is the Alt key pressed?
bool | control {}
| Is the Control key pressed?
bool | shift {}
| Is the Shift key pressed?
bool | system {}
| Is the System key pressed?

## Detailed Description

Key pressed event subtype.

Definition at line 95 of file Event.hpp.

## Member Data Documentation

## ◆ alt

bool sf::Event::KeyPressed::alt {}

Is the Alt key pressed?

Definition at line 99 of file Event.hpp.

## ◆ code

Keyboard::Key sf::Event::KeyPressed::code {}

Code of the key that has been pressed.

Definition at line 97 of file Event.hpp.

## ◆ control

bool sf::Event::KeyPressed::control {}

Is the Control key pressed?

Definition at line 100 of file Event.hpp.

## ◆ scancode

Keyboard::Scancode sf::Event::KeyPressed::scancode {}

Physical code of the key that has been pressed.

Definition at line 98 of file Event.hpp.

## ◆ shift

bool sf::Event::KeyPressed::shift {}

Is the Shift key pressed?

Definition at line 101 of file Event.hpp.

## ◆ system

bool sf::Event::KeyPressed::system {}

Is the System key pressed?

Definition at line 102 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp